Create a new cron job
POST
/api/v3/organizations/{organisation}/applications/{application}/environments/{environment}/cron
const url = 'https://dashboard.quantcdn.io/api/v3/organizations/test-org/applications/test-app/environments/test-env/cron';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","description":"example","scheduleExpression":"example","command":["example"],"targetContainerName":"example","isEnabled":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://dashboard.quantcdn.io/api/v3/organizations/test-org/applications/test-app/environments/test-env/cron \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "description": "example", "scheduleExpression": "example", "command": [ "example" ], "targetContainerName": "example", "isEnabled": true }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”organisation
required
string
The organisation ID
Example
test-orgapplication
required
string
The application ID
Example
test-appenvironment
required
string
The environment ID
Example
test-envRequest Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
required
string
description
string
scheduleExpression
required
string
command
required
Array<string>
targetContainerName
string
isEnabled
boolean
Responses
Section titled “Responses”The created cron job
Media typeapplication/json
object
name
string
description
string
scheduleExpression
string
command
Array<string>
targetContainerName
string
isEnabled
boolean
Examplegenerated
{ "name": "example", "description": "example", "scheduleExpression": "example", "command": [ "example" ], "targetContainerName": "example", "isEnabled": true}The request is invalid
The request is invalid
Media typeapplication/json
object
message
string
errors
object
Examplegenerated
{ "message": "example", "errors": {}}